Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ant
Class ESCJavaTask

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          escjava.ant.ESCJavaTask

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.compilers.CompilerAdapter

public class ESCJavaTask
extends org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

Define an Escj compiler adapter. This class is only a very simple wrapper and does not try to implement of the command line options of escj.

Since:
  May 16, 2004
Version:
  $Revision: 1.3 $
Author:
  wsargent

Field Summary
`private org.apache.tools.ant.util.FileUtils` | `fileUtils`

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`ESCJavaTask()`

Method Summary
`boolean` | `execute()`
`protected int` | `executeExternalCompile(java.lang.String[] args, int firstFileName, boolean quoteFiles)` Do the compile with the specified arguments.
`private void` | `setArgument(org.apache.tools.ant.types.Commandline cmd, java.lang.String pPropertyName, java.lang.String pArgumentName)` Sets an argument on the commandline from a boolean property.
`private void` | `setCounterExample(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setDepend(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setEajava(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setEajml(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setEnableAssertions(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setLoop(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setLoopsafe(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setNoCautions(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setNoCheck(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setNoRedundancy(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setNoTrace(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setNoWarn(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setPlainWarning(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setPxLog(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setQuiet(org.apache.tools.ant.types.Commandline cmd)` Sets the -quiet option.
`private void` | `setRoutine(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setRoutineIndirect(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setSource(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setSourcePath(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setSuggest(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setSxLog(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setTarget(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setTextArgument(org.apache.tools.ant.types.Commandline cmd, java.lang.String pPropertyName, java.lang.String pArgumentName)` Sets an argument with a text value from a property.
`private void` | `setTypeCheck(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setUseFcns(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setUseFcnsForModelVars(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setUseVars(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setUseVarsForModelVars(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setVerbose(org.apache.tools.ant.types.Commandline cmd)`
`private void` | `setWarn(org.apache.tools.ant.types.Commandline cmd)`

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, executeExternalCompile, getCompileClasspath, getJavac, getProject, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileUtils

    private org.apache.tools.ant.util.FileUtils fileUtils

Constructor Detail

### ESCJavaTask

    public ESCJavaTask()

Method Detail

### execute

    public boolean execute()
                    throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setUseFcnsForModelVars

    private void setUseFcnsForModelVars(org.apache.tools.ant.types.Commandline cmd)
                                 throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setUseVarsForModelVars

    private void setUseVarsForModelVars(org.apache.tools.ant.types.Commandline cmd)
                                 throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setWarn

    private void setWarn(org.apache.tools.ant.types.Commandline cmd)
                  throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setUseFcns

    private void setUseFcns(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setRoutineIndirect

    private void setRoutineIndirect(org.apache.tools.ant.types.Commandline cmd)
                             throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setPlainWarning

    private void setPlainWarning(org.apache.tools.ant.types.Commandline cmd)
                          throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setRoutine

    private void setRoutine(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setLoop

    private void setLoop(org.apache.tools.ant.types.Commandline cmd)
                  throws org.apache.tools.ant.BuildException

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setQuiet

    private void setQuiet(org.apache.tools.ant.types.Commandline cmd)
                   throws org.apache.tools.ant.BuildException

  Sets the -quiet option.

  Parameters:
    `cmd` -
  Throws:
    `org.apache.tools.ant.BuildException`

### setVerbose

    private void setVerbose(org.apache.tools.ant.types.Commandline cmd)

### setDepend

    private void setDepend(org.apache.tools.ant.types.Commandline cmd)

### setTarget

    private void setTarget(org.apache.tools.ant.types.Commandline cmd)

### setNoWarn

    private void setNoWarn(org.apache.tools.ant.types.Commandline cmd)
                    throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setSource

    private void setSource(org.apache.tools.ant.types.Commandline cmd)
                    throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setSourcePath

    private void setSourcePath(org.apache.tools.ant.types.Commandline cmd)
                        throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setSxLog

    private void setSxLog(org.apache.tools.ant.types.Commandline cmd)
                   throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setPxLog

    private void setPxLog(org.apache.tools.ant.types.Commandline cmd)
                   throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setCounterExample

    private void setCounterExample(org.apache.tools.ant.types.Commandline cmd)
                            throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setEajava

    private void setEajava(org.apache.tools.ant.types.Commandline cmd)
                    throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setEajml

    private void setEajml(org.apache.tools.ant.types.Commandline cmd)
                   throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setEnableAssertions

    private void setEnableAssertions(org.apache.tools.ant.types.Commandline cmd)
                              throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setUseVars

    private void setUseVars(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setTypeCheck

    private void setTypeCheck(org.apache.tools.ant.types.Commandline cmd)
                       throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setSuggest

    private void setSuggest(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setNoTrace

    private void setNoTrace(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setNoRedundancy

    private void setNoRedundancy(org.apache.tools.ant.types.Commandline cmd)
                          throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setNoCautions

    private void setNoCautions(org.apache.tools.ant.types.Commandline cmd)
                        throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setNoCheck

    private void setNoCheck(org.apache.tools.ant.types.Commandline cmd)
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setLoopsafe

    private void setLoopsafe(org.apache.tools.ant.types.Commandline cmd)
                      throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### executeExternalCompile

    protected int executeExternalCompile(java.lang.String[] args,
                                         int firstFileName,
                                         boolean quoteFiles)

  Do the compile with the specified arguments.

  Parameters:
    `args` - - arguments to pass to process on command line
    `firstFileName` - - index of the first source file in args, if the index is negative, no temporary file will ever be created, but this may hit the command line length limit on your system.
    `quoteFiles` - - if set to true, filenames containing spaces will be quoted when they appear in the external file. This is necessary when running JDK 1.4's javac and probably others.
  Returns:
    DOCUMENT ME!
  Throws:
    `org.apache.tools.ant.BuildException` - DOCUMENT ME!
  Since:
    Ant 1.6

### setTextArgument

    private void setTextArgument(org.apache.tools.ant.types.Commandline cmd,
                                 java.lang.String pPropertyName,
                                 java.lang.String pArgumentName)
                          throws org.apache.tools.ant.BuildException

  Sets an argument with a text value from a property.

  Parameters:
    `cmd` -
    `pPropertyName` -
    `pArgumentName` -
  Throws:
    `org.apache.tools.ant.BuildException` - if one of the arguments is null.

### setArgument

    private void setArgument(org.apache.tools.ant.types.Commandline cmd,
                             java.lang.String pPropertyName,
                             java.lang.String pArgumentName)
                      throws org.apache.tools.ant.BuildException

  Sets an argument on the commandline from a boolean property.

  Parameters:
    `cmd` -
    `pPropertyName` -
    `pArgumentName` -
  Throws:
    `org.apache.tools.ant.BuildException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage